Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.service.model
Class BindingOperationInfo

    java.lang.Object
      org.apache.cxf.service.model.AbstractPropertiesHolder
          org.apache.cxf.service.model.BindingOperationInfo

All Implemented Interfaces:
  Extensible

    public class BindingOperationInfo

extends AbstractPropertiesHolder

Field Summary
`protected OperationInfo` | `opInfo`

Constructor Summary
`BindingOperationInfo()`

Method Summary
`BindingInfo` | `getBinding()`
`BindingFaultInfo` | `getFault(javax.xml.namespace.QName name)`
`java.util.Collection<BindingFaultInfo>` | `getFaults()`
`BindingMessageInfo` | `getInput()`
`javax.xml.namespace.QName` | `getName()`
`OperationInfo` | `getOperationInfo()`
`BindingMessageInfo` | `getOutput()`
`BindingOperationInfo` | `getUnwrappedOperation()`
`BindingOperationInfo` | `getWrappedOperation()`
`boolean` | `isUnwrapped()`
`boolean` | `isUnwrappedCapable()`
`void` | `setUnwrappedOperation(BindingOperationInfo op)`
`java.lang.String` | `toString()`
`void` | `updateUnwrappedOperation()`

Methods inherited from class org.apache.cxf.service.model.AbstractPropertiesHolder
`addExtensionAttribute, addExtensor, containsExtensor, getExtensionAttribute, getExtensionAttributes, getExtensor, getExtensors, getExtensors, getProperty, getProperty, getTraversedExtensor, hasProperty, setExtensionAttributes, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### opInfo

    protected OperationInfo opInfo

Constructor Detail

### BindingOperationInfo

    public BindingOperationInfo()

Method Detail

### updateUnwrappedOperation

    public void updateUnwrappedOperation()

### getBinding

    public BindingInfo getBinding()

### getName

    public javax.xml.namespace.QName getName()

### getOperationInfo

    public OperationInfo getOperationInfo()

### getInput

    public BindingMessageInfo getInput()

### getOutput

    public BindingMessageInfo getOutput()

### getFault

    public BindingFaultInfo getFault(javax.xml.namespace.QName name)

### getFaults

    public java.util.Collection<BindingFaultInfo> getFaults()

### isUnwrappedCapable

    public boolean isUnwrappedCapable()

### getUnwrappedOperation

    public BindingOperationInfo getUnwrappedOperation()

### setUnwrappedOperation

    public void setUnwrappedOperation(BindingOperationInfo op)

### isUnwrapped

    public boolean isUnwrapped()

### getWrappedOperation

    public BindingOperationInfo getWrappedOperation()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF